Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkVRMLImporter Class Reference

`#include <vtkVRMLImporter.h>`

Inheritance diagram for vtkVRMLImporter:

[legend]
Collaboration diagram for vtkVRMLImporter:

[legend]
List of all members.

## Detailed Description

imports VRML 2.0 files.

Date:
  2002/08/08 13:29:58

Revision:
  1.17

vtkVRMLImporter imports VRML 2.0 files into vtk.

Warning:
  These nodes are currently supported: Appearance IndexedFaceSet Box IndexedLineSet Color Material Cone Shape Coordinate Sphere Cylinder Transform DirectionalLight

Warning:
  As you can see this implementation focuses on getting the geometry translated. The routes and scripting nodes are ignored since they deal with directly accessing a nodes internal structure based on the VRML spec. Since this is a translation the internal data structures differ greatly from the VRML spec and the External Authoring Interface (see the VRML spec). The DEF/USE mechanism does allow the Vtk user to extract objects from the scene and directly manipulate them using the native language (Tcl, Python, Java, or whatever language Vtk is wrapped in). This, in a way, removes the need for the route and script mechanism (not completely though).

See also:
  vtkImporter

Created by:
  - Citrini, Tom

CVS contributions (if > 5%):
  - Citrini, Tom (35%)
  - Lorensen, Bill (32%)
  - Schroeder, Will (25%)

CVS logs (CVSweb):
  - .`cxx` (`/Hybrid/vtkVRMLImporter.cxx)`
  - .`h` (`/Hybrid/vtkVRMLImporter.h)`

Tests:
  vtkVRMLImporter (Tests)

Definition at line 85 of file vtkVRMLImporter.h.

## Public Types
typedef vtkImporter | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
vtkObject * | GetVRMLDEFObject (const char *name)
FILE * | GetFileFD ()
void | enterNode (const char *)
void | exitNode ()
void | enterField (const char *)
void | exitField ()
void | useNode (const char *)
virtual void | SetFileName (const char *)
virtual char * | GetFileName ()
## Static Public Methods
vtkVRMLImporter * | New ()
int | IsTypeOf (const char *type)
vtkVRMLImporter * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkVRMLImporter ()
| ~vtkVRMLImporter ()
virtual int | ImportBegin ()
virtual void | ImportEnd ()
virtual void | ImportActors (vtkRenderer *)
virtual void | ImportCameras (vtkRenderer *)
virtual void | ImportLights (vtkRenderer *)
virtual void | ImportProperties (vtkRenderer *)
int | OpenImportFile ()
## Protected Attributes
char * | FileName
FILE * | FileFD
## Friends
int | yylex (vtkVRMLImporter *)

## Member Typedef Documentation

typedef vtkImporter vtkVRMLImporter::Superclass

| Reimplemented from vtkImporter. Definition at line 90 of file vtkVRMLImporter.h.

## Constructor & Destructor Documentation

vtkVRMLImporter::vtkVRMLImporter | ( |  | ) | `[protected]`

vtkVRMLImporter::~vtkVRMLImporter | ( |  | ) | `[protected]`

## Member Function Documentation

vtkVRMLImporter* vtkVRMLImporter::New | ( |  | ) | `[static]`

| Create an object with Debug turned off, modified time initialized to zero, and reference counting on. Reimplemented from vtkObject.

virtual const char* vtkVRMLImporter::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkImporter.

int vtkVRMLImporter::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImporter.

virtual int vtkVRMLImporter::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkImporter.

vtkVRMLImporter* vtkVRMLImporter::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkImporter.

void vtkVRMLImporter::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkImporter.

vtkObject* vtkVRMLImporter::GetVRMLDEFObject | ( | const char * | name | ) |

| In the VRML spec you can DEF and USE nodes (name them), This routine will return the associated VTK object which was created as a result of the DEF mechanism Send in the name from the VRML file, get the VTK object. You will have to check and correctly cast the object since this only returns vtkObjects.

void vtkVRMLImporter::enterNode | ( | const char * |  | ) |

| Needed by the yacc/lex grammar used

void vtkVRMLImporter::exitNode | ( |  | ) |

| Needed by the yacc/lex grammar used

void vtkVRMLImporter::enterField | ( | const char * |  | ) |

| Needed by the yacc/lex grammar used

void vtkVRMLImporter::exitField | ( |  | ) |

| Needed by the yacc/lex grammar used

void vtkVRMLImporter::useNode | ( | const char * |  | ) |

| Needed by the yacc/lex grammar used

virtual void vtkVRMLImporter::SetFileName | ( | const char * |  | ) | `[virtual]`

| Specify the name of the file to read.

virtual char* vtkVRMLImporter::GetFileName | ( |  | ) | `[virtual]`

| Specify the name of the file to read.

FILE* vtkVRMLImporter::GetFileFD | ( |  | ) | `[inline]`

| Return the file pointer to the open file. Definition at line 116 of file vtkVRMLImporter.h.

virtual int vtkVRMLImporter::ImportBegin | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

virtual void vtkVRMLImporter::ImportEnd | ( |  | ) | `[protected, virtual]`

| Reimplemented from vtkImporter.

virtual void vtkVRMLImporter::ImportActors | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImporter. Definition at line 130 of file vtkVRMLImporter.h.

virtual void vtkVRMLImporter::ImportCameras | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImporter. Definition at line 131 of file vtkVRMLImporter.h.

virtual void vtkVRMLImporter::ImportLights | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImporter. Definition at line 132 of file vtkVRMLImporter.h.

virtual void vtkVRMLImporter::ImportProperties | ( | vtkRenderer * |  | ) | `[inline, protected, virtual]`

| Reimplemented from vtkImporter. Definition at line 133 of file vtkVRMLImporter.h.

int vtkVRMLImporter::OpenImportFile | ( |  | ) | `[protected]`

## Friends And Related Function Documentation

int yylex | ( | vtkVRMLImporter * |  | ) | `[friend]`

## Member Data Documentation

char* vtkVRMLImporter::FileName`[protected]`

| Definition at line 136 of file vtkVRMLImporter.h.

FILE* vtkVRMLImporter::FileFD`[protected]`

| Definition at line 137 of file vtkVRMLImporter.h.

The documentation for this class was generated from the following file:

- Hybrid/vtkVRMLImporter.h